> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate Encrypted Secret Key

> To make API calls on SeerBit, you will be required to pass a bearer token. To generate a token simply pass your pubic and secret key to rceive a token to process further API calls.



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /encrypt/keys
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /encrypt/keys:
    post:
      tags:
        - AUTHENTICATION
      summary: Generate Encrypted Secret Key
      description: >-
        To make API calls on SeerBit, you will be required to pass a bearer
        token. To generate a token simply pass your pubic and secret key to
        rceive a token to process further API calls.
      operationId: GenerateEncryptedSecretKey
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenerateEncryptedSecretKeyRequest'
        required: true
      responses:
        '200':
          description: SUCCESS
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerateEncryptedSecretKeyResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                404Response:
                  $ref: '#/components/examples/404Response'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
components:
  schemas:
    GenerateEncryptedSecretKeyRequest:
      title: GenerateEncryptedSecretKeyRequest
      required:
        - key
      type: object
      properties:
        key:
          type: string
          description: >-
            This consist of the PrivateKey and the publicKey separated with a
            '.' in the middle(eg:{privateKey.publicKey}
      example:
        key: >-
          SBTESTSECK_9Cb8dbqR5Rc2JwZaa77P5QYHzQaeGUcrkEMD1dEi.SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u
    GenerateEncryptedSecretKeyResponse:
      title: GenerateEncryptedSecretKeyRequest
      type: object
      example:
        status: SUCCESS
        data:
          code: '00'
          EncrytedSecKey:
            encryptedKey: >-
              oAX1OeAlwNt9BI5VEwBLlxtWgL2WaLT9kTc4EMaaZgXMfdhHXaqqVgapnQSOO4OZM2oLRPtqjJzwNLEEGqFSvam8MFz06U4fl/5TVwfWLMsRHq4mML9ExIaXRVn3bVm8
          message: Successful
  examples:
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.